Bug 228066 - [Patch] net-snmp-5.3.1-local-addr-v2.patch breaks TCP
Summary: [Patch] net-snmp-5.3.1-local-addr-v2.patch breaks TCP
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: net-snmp
Version: 6
Hardware: All
OS: All
medium
medium
Target Milestone: ---
Assignee: Radek Vokal
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-09 20:15 UTC by Jan Andres
Modified: 2014-01-21 22:57 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2007-03-13 08:13:25 UTC


Attachments (Terms of Use)
Suggested replacement for net-snmp-5.3.1-local-addr-v2.patch (13.96 KB, patch)
2007-02-09 20:15 UTC, Jan Andres
no flags Details | Diff

Description Jan Andres 2007-02-09 20:15:19 UTC
Package version: 5.3.1-12.fc6

The patch net-snmp-5.3.1-local-addr-v2.patch which is included in the RPM breaks
TCP support in snmpd, because it causes the address->security name mapping to
fail for TCP requests.

I suggest replacing the patch with the one I have attached. It contains the
version of the "local-addres" fix from the V5-3-patches branch in the net-snmp
CVS repo and includes the fix for TCP.

Comment 1 Jan Andres 2007-02-09 20:15:19 UTC
Created attachment 147802 [details]
Suggested replacement for net-snmp-5.3.1-local-addr-v2.patch

Comment 2 Fedora Update System 2007-02-27 17:00:45 UTC
net-snmp-5.3.1-13.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 3 Fedora Update System 2007-03-12 19:20:28 UTC
net-snmp-5.3.1-13.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Comment 4 Seth Vidal 2007-08-08 12:54:56 UTC
This bug is present in rhel5, too.
I'll test the above patch on rhel5 and report back.

Comment 5 Seth Vidal 2007-08-08 13:17:51 UTC
confirmed - this patch fixes the problem on rhel5, too.



Note You need to log in before you can comment on or make changes to this bug.